ABermann

Immersion package for 777 (in Prepar3D V4)?

Recommended Posts

Hi all,

Was wondering - does the PMDG 777 Immersion Package work with Prepar3D V4?
The reason I'm asking is since Lockheed-Martin has re-worked the lighting engine within Prepar3D V4, would there be any issues with the immersion packages? 

I guess this question also goes for the PMDG 737NGX, when it's released for Prepar3D V4?

  • Upvote 1

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hmm... I guess I'll be awaiting an answer from Kevin... :happy:

  • Upvote 1

Share this post


Link to post
Share on other sites

I did try to install and it is not finding the V4 or its not compatible yet.    I got that message from VFX Central, so...  

+1 

Share this post


Link to post
Share on other sites

They are at Flightsimcon I doubt you get an answer this weekend. I believe they said there would be updates for those on the stream the other day but I'm not 100% sure.

Share this post


Link to post
Share on other sites

It's not a huge problem of finding the Prepar3D V4 folder... (I can always tricking it into thinking it's Prepar3D V3).

The main thing I wondered about, was whether or not it would work. The light enhancements etc must be somehow different, since Lockheed-Martin has made a completely (and more correct) lighting system.

Share this post


Link to post
Share on other sites

We are in the process of converting our Immersion packages to support V4. Stay tuned, it won't be too long!

Regards,
Keven

  • Upvote 6

Share this post


Link to post
Share on other sites
13 hours ago, Keven Menard said:

We are in the process of converting our Immersion packages to support V4. Stay tuned, it won't be too long!

Regards,
Keven

Awesome! :)

Share this post


Link to post
Share on other sites
13 hours ago, Keven Menard said:

We are in the process of converting our Immersion packages to support V4. Stay tuned, it won't be too long!

Regards,
Keven

Thanks for the reply. Am I correct in assuming, that we shouldn't install the current version in P3D V4?

Share this post


Link to post
Share on other sites

You could technically do it but we do not recommend doing it.

Regards,
Keven

  • Upvote 1

Share this post


Link to post
Share on other sites

Okay. Thanks for explaining, Kevin! 
I'll eagerly await the new version for V4.

Share this post


Link to post
Share on other sites
On 2017-06-13 at 1:06 AM, John_Tavendale said:

Awesome! :)

Looking forward to it

Share this post


Link to post
Share on other sites
On 6/13/2017 at 1:52 PM, Keven Menard said:

You could technically do it but we do not recommend doing it.

Regards,
Keven

I had it installed with my P3D v3.4 but I uninstalled the aircraft before removing the 777 immersion, so it looks like it is installed, but I can't uninstall it now, any tip?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now